#2852 Burn registers dependency on failed packages

v3.7
fixed
burn (480)
2012-09-17
2012-03-02
No

If a package fails, Burn still registers a dependency on it:

[0110:1394][2012-03-01T22:00:15]: Applying package: PackageB, action: Install, path: C:\ProgramData\Package Cache{25D5D046-0EF8-4ED8-BF70-F10E427CAFF5}v1.0.0.0\~Burn_FailNonVitalPackage_PackageB.msi, arguments: ' MSIFASTINSTALL="7"'
[0110:1394][2012-03-01T22:00:16]: Error 0x80070643: Failed to install MSI package.
[0110:1394][2012-03-01T22:00:16]: Error 0x80070643: Failed to execute MSI package.
[1740:0F80][2012-03-01T22:00:16]: Error 0x80070643: Failed to configure per-machine MSI package.
[1740:0F80][2012-03-01T22:00:16]: Applying non-vital package: PackageB, encountered error: 0x80070643. Continuing...
[0110:1394][2012-03-01T22:00:16]: Registering dependency: {0D59F8EA-B9DB-4088-8E81-01B76CFB84CB}v1.0.0.0 on package provider: {25D5D046-0EF8-4ED8-BF70-F10E427CAFF5}, package: PackageB

This has the side effect of still registering a dependency for a non-vital package that might have failed for some transient issue that is later installed, but may not be the right thing to since the proper way of installing the package (after the blocking issue is fixed) is to repair the bundle.

Discussion

  • Heath Stewart

    Heath Stewart - 2012-03-02

    Not fixed by SFBUG:3435047.

     
  • Heath Stewart

    Heath Stewart - 2012-03-03

    Punting to 3.7. If the package fails, the user is likely to repair again anyway which would rewrite the registry keys. We'll think about this more for the next version.

     
  • Heath Stewart

    Heath Stewart - 2012-09-07

    Talking this over with Rob, we've decided to NOT fix this bug. Consider two unrelated bundles that install the VC Runtime (fixed provider key). The first bundle fails to install it correctly, but registers the dependency anyway (the bundle itself). Uninstalling this bundle would still remove the dependency so that's not an issue. But with the first bundle installed, another bundle installs VC Runtime and it does succeed this time (perhaps it was some transient file lock issue that failed the install originally). If the second bundle is uninstalled, fixing this bug means VC Runtime is removed but the first bundle may still have needed it. By not fixing this issue, we actually maintain the INTENT of the package ref-counting.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks